import { createAsyncThunk } from "@reduxjs/toolkit";
import axios from "axios";
import { LOADING_END, LOADING_START } from "../../../lib/redux/slices/appSlice";
import { getRoleFromUrl } from "../../../utils/getRoleFromUrl";

export const provinceJahadGetHerdInfoDashboardService = createAsyncThunk(
  "PROVINCE_JAHAD_GET_HERD_INFO_DASHBOARD_SERVICE",
  async (d, { dispatch }) => {
    dispatch(LOADING_START());
    const { data, status } = await axios.get(
      "/LiveStock/live-stock/dashboard_live_stock/",
      {
        params: {
          role: getRoleFromUrl(),
          search: "filter",
          value: d.search,
          type: d.type,
        },
      }
    );
    dispatch(LOADING_END());
    return { data, status };
  }
);
